image: srteam/dlang-cross:19.12.08
variables:
  GIT_SUBMODULE_STRATEGY: recursive
      
zGroundFix:
  stage: build
  before_script:
    - mkdir -p depends
    - git clone https://gitlab.com/SR_team/llmo-d depends/llmo-d
    - dub add-path depends
    - dub add-local depends/llmo-d
    - mkdir -p dll/plugins
    - mkdir -p sf/SAMPFUNCS
    - mkdir -p asi
    - mkdir -p CLEO
  script:
    - dub build -brelease --compiler=ldc2 -ai686-pc-windows-msvc
    - cp zGroundFix.dll asi/zGroundFix.asi
    - cp zGroundFix.dll sf/SAMPFUNCS/zGroundFix.sf
    - cp zGroundFix.dll CLEO/zGroundFix.cleo
    - mv zGroundFix.dll dll/plugins/zGroundFix.dll
  artifacts:
    paths:
      - dll/
      - asi/
      - sf/
      - CLEO/
